Skip to main content
POST
Log a donor mailing manually

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

donor_id
integer
required

Donor id in the current organization.

Body

application/json

Validated request fields for this operation.

mailing_name
string
required

Mailing name. Validation: required, string, max:191.

Maximum string length: 191
Example:

"Mailing Name"

preset_key
string | null

Preset key. Validation: nullable, string, max:64.

Maximum string length: 64
Example:

"Preset Key"

label_layout_preset
enum<string> | null

Label layout preset. Validation: nullable; allowed values: single_label, a4_sheet, a3_sheet, letter_85x11_1_up, letter_4x2_10_up, letter_2625x1_30_up, letter_3x2_10_up.

Available options:
single_label,
a4_sheet,
a3_sheet,
letter_85x11_1_up,
letter_4x2_10_up,
letter_2625x1_30_up,
letter_3x2_10_up,
null
Example:

"single_label"

logged_at
string | null

Logged at. Validation: nullable, date.

Example:

"2026-10-20T12:00:00Z"

notes
string | null

Notes. Validation: nullable, string.

Example:

"Notes"

Response

Operation result.

data
object

Manual log or generated mailing activity. Manual logs normally have no generated artifact identifiers/URLs.